Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements
Step-by-Step Configuration and Troubleshooting Best Practices for the NGFW, NGIPS and AMP Technologies A Visual Guide to the Cisco Firepower Threat Defense (FTD)
Community Member

FWSM upgrade 3.2 to 4.0.4 for VSS

Hi,

I am planning for an VSS in Core but firstly I need to upgrade FWSM which is at 3.2 Ver to 4.0.4 (min release) I have checked software dependencies

but not sure about Hardware Dependency  on Fwsm and Chassis for Eg. Rommon Upgrade on Chassis. Please help in this regard.

Thanks,

Amol

7 REPLIES
Cisco Employee

FWSM upgrade 3.2 to 4.0.4 for VSS

Hi Amol,

The only dependency on the chassis side is the IOS version running on the supervisor. No other upgrades would be necessary. You can find the dependencies here:

http://www.cisco.com/en/US/docs/security/fwsm/fwsm40/release/notes/fwsmrn40.html#wp161314

-Mike

Community Member

FWSM upgrade 3.2 to 4.0.4 for VSS

Dear Mike,

Thanks for the rply but currently i am running 12.2(33)SXH2a on my Core 6509 and the link you sent i have referred it earlier but it states only I-Train of IOS while mine is H-Train so can I directly upgrade to I-Train or I was thinking of SXH8b IOS.

Pls suggest any stable IOS for Core as well as Fwsm 4.0 or 4.1 as this is basic prerequisite for VSS.

Thanks

Amol

Cisco Employee

FWSM upgrade 3.2 to 4.0.4 for VSS

Hi Amol,

You'd be better off talking to the switching experts about the IOS version for the supervisor:

https://supportforums.cisco.com/community/netpro/network-infrastructure/switching

The link I provided above is only the minimum requirements for FWSM 4.0.

-Mike

Community Member

FWSM upgrade 3.2 to 4.0.4 for VSS

Dear Mike,

Thks for rply once more question when i log in to FWSM and do sh version i get flash as 20 mb but as per my knowledge

Flash is of 128 Mb which is partitioned in 5 partitions.

Currently status :-

In cf:4 ASDM -6 MB,IOS-6 MB,Config- 4 MB whci leaves only 6 MB

As i m planning for IOS upgrade in cf:5(for safety purpose) do i need to delete any file from cf:4

Thanks

Cisco Employee

FWSM upgrade 3.2 to 4.0.4 for VSS

Hi Amol,

The FWSM can only store one image in flash at a time, so there is no need to delete anything before the upgrade.

-Mike

Community Member

FWSM upgrade 3.2 to 4.0.4 for VSS

Dear Mike,

Does that mean it will get installed in cf:5 without touching existing cf:4 image.

Also i have read we have to upgrade both Fwsm in a single activity can we upgrade one at a time by breaking sync between both.Pls suggest.

Pls share best practices for upgrading FWSM IOS

-Amol

Cisco Employee

FWSM upgrade 3.2 to 4.0.4 for VSS

Hi Amol,

The FWSM boots from cf:4 by default and when it does, it has no visibility into cf:5 (and vice versa).

Unfortunately, you cannot upgrade to a new major release without downtime. You should follow the steps outlined here for the upgrade:

http://www.cisco.com/en/US/docs/security/fwsm/fwsm40/configuration/guide/swcnfg_f.html#wp1064244

-Mike

812
Views
5
Helpful
7
Replies
CreatePlease to create content